libidn 1.43

Macros | Functions
idn-free.h File Reference

Go to the source code of this file.

## Macros
#define | IDNAPI

## Functions
void IDNAPI | idn_free (void *ptr)

## Macro Definition Documentation

## ◆ IDNAPI

#define IDNAPI

SECTION:idn-free

Parameters

  title | idn-free.h
  short_description | Memory deallocation functions

Memory deallocation functions.

Definition at line 49 of file idn-free.h.

## Function Documentation

## ◆ idn_free()

void IDNAPI idn_free | ( | void * | ptr | ) |
| extern

idn_free:

Parameters

  ptr | memory region to deallocate, or NULL.

Deallocates memory region by calling free(). If @ptr is NULL no operation is performed.

Normally applications de-allocate strings allocated by libidn by calling free() directly. Under Windows, different parts of the same application may use different heap memory, and then it is important to deallocate memory allocated within the same module that allocated it. This function makes that possible.

Definition at line 52 of file idn-free.c.